/* Calcul de l'indice de la valeur minimale    */
/* d'un tableau d'entiers                      */

public class IndiceDuMinimumEnConsole {

/* Fonction de creation et retour              */
/* d'un tableau de double initialisé           */
/* avec des nombres aleatoires                 */
/* compris entre 0.0 et 20.0                   */
/* n : La taille du tableau à générer          */

  static int [] initRand(int n) {
    int i;
    int [] tab = new int[n];
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      tab[i] =(int) (Math.random()*2000.0); }
    return tab;
  }

/////////////////////////////////////////////////

/* Fonction de calcul et retour                */
/* de l'indice de la valeur                    */
/* minimale d'un tableau d'entiers             */
/* t : Le tableau de int à utiliser            */

  static int indiceDuMinimum(int [] t) {
    int i;
    int indice;
    indice = 0;
    for ( i = 1 ; i < t.length ; i++ ) {
      if ( t[i] < t[indice] ) {
        indice = i; } }
    return indice;
  }

/////////////////////////////////////////////////

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("IndiceDuMinimum");
    int n;
    int [] t;
    int indice;
    Console.afficher("SVP, taille du tableau? ");
    n = Console.saisirInt();
    t = initRand(n);
    indice = indiceDuMinimum(t);
    Console.afficherln("Indice de la valeur minimale: ",indice);
    Console.afficherln("De valeur                   : ",t[indice]);
  }
}